Subject: [bitcoin-dev] Barry Silbert segwit agreement

From: Jacob Eliosoff <[email-masked]>
Date: Fri, 26 May 2017 13:47:11 -0400

Forgive me if this is a dumb question.  Suppose that rather than directly
activating segwit, the Silbert/NYC Segwit2MB proposal's lock-in just
triggered BIP141 signaling (plus later HF).  Would that avoid
incompatibility with existing BIP141 nodes, and get segwit activated
sooner?  Eg:

- Bit 4 (or bit 5 or whatever, now that BIP91 uses 4) signals support for
"segwit now, HF (TBD) at scheduled date (Nov 23?)"
- If bit 4 support reaches 80%, it locks in two things: the scheduled HF
(conditional on segwit), and *immediately* turning on bit 1 (BIP141 support)

I realize this would still leave problems like the aggressive HF schedule,
possible chain split at the HF date between Segwit2MB nodes and any
remaining BIP141 nodes, etc.  My focus here is how incompatibility with
existing nodes could be minimized.

(BIP91 could also be used if BIP141 support still fell short of 95%.  But
if Segwit2MB support reaches 80%, it seems likely that an additional 15%
will support BIP141-without-HF.)